from django.shortcuts import render
from django.http import HttpResponse, HttpResponseBadRequest, HttpResponseNotAllowed, HttpResponseNotFound
from django.contrib.auth import authenticate, login, logout
from django.shortcuts import redirect
from django.contrib.auth.decorators import login_required
from django.utils import translation
from warpauth.util import *
from django.utils.translation import ugettext as _

def login_view(request):
    pages['page_title'] = "Login"
    pages['body_text'] = "Login"
    pages['fail'] = False

    if request.method == "POST":
        username = request.POST['username']
        password = request.POST['password']
        user = authenticate(username=username, password=password)
        if user is not None:
            if user.is_active:
                login(request, user)

                user_language = 'de_DE'
                translation.activate(user_language)
                request.session[translation.LANGUAGE_SESSION_KEY] = user_language
                return redirect('/')
            else:
                pages['error'] = _("Your account is deactivated. Please contact an administrator.")
        else:
            if username != "" and password != "":
                pages['error'] = _("Invalid email or password.")

    return HttpResponse(render(request, 'warpauth/login.html', pages))

@login_required(login_url='/login/', redirect_field_name=None)
def logout_view(request):
    logout(request)
    return redirect('/login/')
